@import 'styleguide/breakpoints';

.identity-profile-card.card {
  background: none;
  border-radius: 0;
  border: none;
  padding: 0;
  box-shadow: none;
  display: block;
  width: 100%;

  @media (min-width: 992px) {
    width: 45%;
  }

  @media (max-width: $breakpoint-sm) {
    margin-bottom: 2rem;
  }
}

.identity-profile {
  background-color: var(--dark-blue-grey);
  padding: 1.8rem 1.6rem;
  box-shadow: 7px 7px 0 0 var(--blue);
  text-align: left;

  .btn {
    display: inline-block;
    width: auto;
  }

  &__title {
    font-size: 26px;
    font-weight: 600;
    color: var(--grey);
    padding-left: 1.2rem;

    &-id {
      color: var(--white);
    }
  }

  &__markets-title {
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.39px;
    color: var(--grey);
    margin-top: 3rem;
    margin-bottom: 1.2rem;
  }

  &__power {
    margin: 0;
    margin-bottom: 2px;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.2px;
    color: var(--bright-sky-blue);
    background-color: var(--light-navy);

    > div {
      padding: 1rem 1.4rem;
    }

    strong {
      font-size: 17px;
      font-weight: 600;
      letter-spacing: 0.24px;
      color: var(--white);
      margin-left: 0.5rem;
    }
  }

  &__power-title {
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 0.39px;
    color: var(--grey);
    text-transform: uppercase;
  }

  &__rewards {
    margin: 0;
    margin-bottom: 1.8rem;
    font-size: 17px;
    font-weight: normal;
    letter-spacing: 0.24px;
    color: var(--white);
    background-color: var(--light-navy);

    > div {
      padding: 1.2rem 1.4rem;
    }

    .title {
      font-size: 14px;
      font-weight: 500;
      letter-spacing: 0.2px;
      color: var(--turq);
      margin-bottom: 0.2rem;
    }

    .btn {
      font-size: 14px;
      font-weight: normal;
      letter-spacing: 0.19px;
      color: var(--black);
      padding: 0.4rem 1.6rem;
    }

    .btn:not(:disabled) {
      background-color: var(--turq);

      &:hover {
        color: var(--turq);
        border-color: var(--turq);
        background: none;
      }
    }
  }
}
